<?php    


  
  use App\Libraries\ejLib;
  $var = ejLib::getInstance();
  $soapclient = $var->getWs();
  $wsClave = $var->get_wsClave();  
?>

@extends('layouts.master')
@section('titulo')
  {{ 'CONFIGURACIÓN DE TIPOS DE NOTAS MÉDICAS' }}
@endsection

<?php
  $usuario = $_SESSION['usuario'];
  $decoded = $var->desencriptar_AES($usuario['tusuario'], $usuario['x']);
  $Centro_Sal = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);

  
?>

<script src="js/jquery-3.1.0.min.js"></script>
@section('navegacion_admin')
  @include('layouts.navegacion_admin')
@endsection

@section('titulo_pagina')
  <div class="titulo_pagina">
    <h2>CONFIGURAR TIPO DE NOTA MÉDICA</h2>
  </div>
@endsection

<link rel="stylesheet" href="css/bootstrap.css">
<link rel="stylesheet" href="css/admingeneral.css">
<link rel="stylesheet" href="css/usuariogeneral.css">

<script src="js/notify.js"></script>

<script>
  function listarTiposNota() {
    
    var descripcionTipoNota = $( "#descripcion_tipoNota" ).val();
    var acActivos = '0';
    if ( $( "#acActivos" ).is(':checked') )
      acActivos = '1';
    jqGetAjax("getLstTiposNotasMedicas","contenedor_tabla", { tituloNota: descripcionTipoNota, Tipo: '', Activos: acActivos });
  }

  $(document).ready(function(){
    $( "#btn_listar_tipoNotas").click(function() {
      listarTiposNota();
      jqSetMensaje('divMensaje','', null);
    });

    $( "#btn_agragarTipoNota" ).click(function() {
      jqSetMensaje('divMensaje','', null);
      var centro_sal = 1;
      var CentroSalud = 1;
      jqGetAjax("catalogo-add_TipoNotaMedica","tblMovimientos", { Centro_Sal: centro_sal, CentroSalud: CentroSalud });
    });
  });

  function stLeg(obj, Status) {          
    if(Status == '0')$('#'+obj).html("Activo");
    else $('#'+obj).html("Baja");                    
  }

  $(document).on('change', '#vCat_CentroSalud', function () { 
      var centro_sal = $(this).val();
     
     jqGetAjaxShort("vCat_TiposNotas","edit_vCat_TiposNotas", {"centro_sal": centro_sal });
  });

</script>

<script src="js/validar/validaNumeros.js"></script>

@section('content')
  <div id="contenedor">
    <input type="hidden" name="_token" value="{{csrf_token()}}">
    <div class="row">
      <div class="input-group-sm col-sm-1"><br>
        <button type="button"  id="btn_agragarTipoNota">Agregar</button>
      </div>
      <div class="col-sm-4">
        <div class="input-group-sm form-group-sm">
          <label style="text-transform:uppercase">Tipo de Nota</label>
          <input type="text" class="form-control" id="descripcion_tipoNota" name="descripcion_tipoNota" maxlength="100">
          <?php
            // 01 Feb 2016 . LI Juan Pablo Sánchez Bracamontes . Evaluamos el tipo de cuenta que accede al formulario, si es root habilitamos el contro de lo contrario lo cargamos deshabilitado
            
          /*  $sessionID=(htmlspecialchars(session_id())); session_write_close();
            if(strlen(rtrim($Centro_Sal))>0) echo $var->getView('Catalogos\VistasController@vCat_CentroSalud','Centro_Sal='.$Centro_Sal.'&disable=1&sessionID='.$sessionID);
            else echo $var->getView('Catalogos\VistasController@vCat_CentroSalud','Centro_Sal='.$Centro_Sal.'&disable=0&sessionID='.$sessionID);*/
          ?>
        </div>
      </div>

     <!--
      <div class="col-md-2 "><br>
        <div class="input-group input-group-sm">
          <span class="input-group-addon" id="sizing-addon3">Tipo</span>
          
          <div id="edit_vCat_TiposNotas" name="edit_vCat_TiposNotas">
           {!! $var->getView('Catalogos\VistasController@vCat_TiposNotas','') !!}
          </div> 

        </div>
      </div>
       -->
      <div class="col-sm-1"><br>
        <div class="input-group input-group-sm">
          <span class="input-group-addon">
            <input type="checkbox" aria-label="Checkbox for following text input" id="acActivos" name="acActivos">
          </span>
          <span class="input-group-addon">Activo</span>
        </div>
      </div>
     
      <div class="input-group-sm col-sm-1"><br>
        <button type="button"  id="btn_listar_tipoNotas">Listar</button>
      </div>
    </div>

    <?php $i=0; ?>
    <div id="contenedor_tabla">
      <table border="1" class="table table-bordered">
      </table>
    </div>

    <div id="tblMovimientos" name="tblMovimientos"></div>
    <div id="divMensaje" name="divMensaje" style="height:20px;"></div>
    </td></tr>
  </div>
@endsection
